Get a list of observations

get

/Observation

Note: The FHIR API endpoints described below are currently pending production deployment for electronic health record (EHR) environments. Developers are welcome and encouraged to develop against the specifications in anticipation of production availability, which will be announced at a later date.

Retrieves a list of observations that meet the supplied query parameters.

Request

Query Parameters
Header Parameters

There's no request body for this operation.

Back to Top

Response

200 Response

Successful search response.
Body ()
Root Schema : schema
Type: object
Show Source
Nested Schema : entry
Type: array
Show Source
Nested Schema : items
Type: object
Show Source
Nested Schema : Observation
Type: object
Show Source
Nested Schema : category
Type: array

(USCDI) A code that classifies the general type of observation being made.

For the following vital sign profiles, category.coding.system is set to http://terminology.hl7.org/CodeSystem/observation-category and category.coding.code is set to vital-signs:

  • Blood Pressure
  • BMI
  • Body Height
  • Body Temperature
  • Body Weight
  • Head Circumference
  • Head Occipital Frontal Circumference Percentile
  • Heart Rate
  • Pediatric BMI for Age
  • Pediatric Weight for Height
  • Pulse Oximetry
  • Respiratory Rate
  • Vital Signs

Show Source
Nested Schema : code
(USCDI) What was observed.
Match All
(USCDI) What was observed.
Show Source
Nested Schema : component
Type: array

(USCDI) The component observations that are part of this observation.

For each component, only one value[x] representation is returned (for example, valueQuantity or valueCodeableConcept).

Show Source
Nested Schema : dataAbsentReason
(USCDI) A reason why the expected value is missing.
Match All
(USCDI) A reason why the expected value is missing.
Show Source
Nested Schema : derivedFrom
Type: array
The related measurements the observation is made from.
Show Source
Nested Schema : effectivePeriod
(USCDI) The clinically relevant time or time period for the observation.
Match All
(USCDI) The clinically relevant time or time period for the observation.
Show Source
Nested Schema : hasMember
Type: array
A related resource that belongs to the observation group.
Show Source
Nested Schema : performer
Type: array
The individual who is responsible for the observation.
Show Source
Nested Schema : specimen
(USCDI) The specimen used for this observation.
Match All
(USCDI) The specimen used for this observation.
Show Source
Nested Schema : subject
(USCDI) Who or what the observation is about.
Match All
(USCDI) Who or what the observation is about.
Show Source
Nested Schema : valueCodeableConcept
(USCDI) The result value as a coded concept.
Match All
(USCDI) The result value as a coded concept.
Show Source
Nested Schema : valueQuantity

(USCDI) The result value as a quantity.

  • For the following vital sign profiles, valueQuantity.system is set to http://unitsofmeasure.org:
    • Body Height
    • Body Temperature
    • Body Weight
    • Head Circumference
    • Heart Rate
    • Respiratory Rate
    • Pulse Oximetry
    • BMI
    • Pediatric BMI for Age
    • Pediatric Weight for Height
    • Head Occipital Frontal Circumference Percentile
  • For BMI, valueQuantity.code is set to kg/m2.
  • For Heart Rate and Respiratory Rate, valueQuantity.code is set to /min.
  • For Pulse Oximetry, Pediatric BMI for Age, Pediatric Weight for Height, and Head Occipital Frontal Circumference Percentile, valueQuantity.code is set to %.
Match All

(USCDI) The result value as a quantity.

  • For the following vital sign profiles, valueQuantity.system is set to http://unitsofmeasure.org:
    • Body Height
    • Body Temperature
    • Body Weight
    • Head Circumference
    • Heart Rate
    • Respiratory Rate
    • Pulse Oximetry
    • BMI
    • Pediatric BMI for Age
    • Pediatric Weight for Height
    • Head Occipital Frontal Circumference Percentile
  • For BMI, valueQuantity.code is set to kg/m2.
  • For Heart Rate and Respiratory Rate, valueQuantity.code is set to /min.
  • For Pulse Oximetry, Pediatric BMI for Age, Pediatric Weight for Height, and Head Occipital Frontal Circumference Percentile, valueQuantity.code is set to %.
Show Source
Nested Schema : CodeableConcept
Type: object
Show Source
Nested Schema : coding
Type: array
Show Source
Nested Schema : Coding
Type: object
Show Source
Nested Schema : ObservationComponent
Type: object
Show Source
Nested Schema : code
(USCDI) The type of component observation.
Match All
(USCDI) The type of component observation.
Show Source
Nested Schema : dataAbsentReason
(USCDI) A reason why the expected component value is missing.
Match All
(USCDI) A reason why the expected component value is missing.
Show Source
Nested Schema : valueCodeableConcept
(USCDI) The component observation value as a coded concept.
Match All
(USCDI) The component observation value as a coded concept.
Show Source
Nested Schema : valueQuantity

(USCDI) The component observation value as a quantity.

  • For Blood Pressure component values, valueQuantity.system is set to http://unitsofmeasure.org and valueQuantity.code is set to mm[Hg].
  • For Pulse Oximetry components, valueQuantity.system is set to http://unitsofmeasure.org. Component values may use L/min or % depending on component code.
Match All

(USCDI) The component observation value as a quantity.

  • For Blood Pressure component values, valueQuantity.system is set to http://unitsofmeasure.org and valueQuantity.code is set to mm[Hg].
  • For Pulse Oximetry components, valueQuantity.system is set to http://unitsofmeasure.org. Component values may use L/min or % depending on component code.
Show Source
Nested Schema : Quantity
Type: object
Show Source
Nested Schema : Reference
Type: object
Show Source
Nested Schema : Period
Type: object
Show Source

Default Response

An OperationOutcome describing any error that occurred.
Body ()
Root Schema : OperationOutcome
Type: object
Show Source
Nested Schema : issue
Type: array
Show Source
Nested Schema : items
Type: object
Show Source
Back to Top